cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/campaigns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.masivo.ai/api/storefront/v1/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.masivo.ai/api/storefront/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "RUNNING",
"attributes": {},
"brand_id": "<string>",
"type": "BEHAVIOR",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"funded_by": "<string>",
"budget": 123,
"divide_budget_in": "daily",
"description": "<string>",
"metadata": {},
"rules": [
{
"conditions": [
[
{
"type": "Order Value",
"operator": "grater than",
"primitive": "string",
"value": 9.95
}
]
],
"effects": [
{
"reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "POINTS",
"tier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reward": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"team_ids": [
"<string>"
],
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": {},
"platforms": [
"<string>"
],
"labels": [
"<string>"
],
"stores": [
"<string>"
],
"channels": [
"<string>"
],
"products": [
"<string>"
],
"tiers": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>",
"description": "<string>",
"type": "POINTS",
"conditions": [
[
{
"type": "Order Value",
"operator": "grater than",
"primitive": "string",
"value": 9.95
}
]
],
"attributes": {
"conversion_factor": 0.1
}
},
"expiration_date": "12/months",
"amount": 1
}
]
}
],
"team_ids": [
"<string>"
],
"platforms": [
"<string>"
],
"labels": [
"<string>"
],
"stores": [
"<string>"
],
"channels": [
"<string>"
],
"products": [
"<string>"
],
"tiers": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"content": {
"Title": {
"name": "Title",
"type": "input",
"value": "Value of the title"
},
"BannerImage": {
"alt": "Alternative description for the image",
"href": "Href link for the image",
"name": "BannerImage",
"type": "image",
"value": "https://URL_TO_IMAGE"
},
"Description": {
"name": "Name of the description",
"type": "input",
"value": "Value of the description"
}
},
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Campaigns
Get campaign
Get a specific campaign
GET
/
campaigns
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The campaign unique identifier
Query Parameters
Filter coupon availability for a specific customer. Only applies to COUPONS campaigns.
Whether to include additional data inside attributes Only applies to COUPONS campaigns. Adds attributes.codes_summary with used, total, left, codes, and codes_usage.
Available options:
CODES_SUMMARY Response
Ok
Campaign response. account_id, order, and created_at are not returned.
Show child attributes
Show child attributes